clamp_width_actual = max(clamp_min_width, holder_x_sz);
hinge_lobes = floor(clamp_width_actual / hinge_lobe_per);
-hinge_stride = (clamp_width_actual + hinge_gap_z) / hinge_lobes;
+hinge_stride = (clamp_width_actual + hinge_gap_z) / (hinge_lobes + 0.5);
hinge_outer_r = hinge_around + hinge_pin/2;
hinge_y = tube_dia/2 + hinge_outer_r;
Screws();
- for (i=[0 : hinge_lobes-1]) {
+ for (i=[0 : hinge_lobes]) {
z = -clamp_width_actual/2 + i * hinge_stride
+ (hinge_alt ? hinge_stride/2 : 0);
echo(z, z -hinge_gap_z, z + hinge_stride/2);